Page MenuHomePhabricator

Clean up flow dump job problems for Sept 1 2018 dumps run
Closed, ResolvedPublic

Description

The flow full and current jobs broke this month with the merge of https://gerrit.wikimedia.org/r/#/c/mediawiki/core/+/449925/ which I tested against everything *but* Flow. I'm running these jobs with a live hack on snapshot1008 in a screen session to get them done. We should also get a fix merged.

Event Timeline

ArielGlenn triaged this task as Normal priority.Sep 6 2018, 10:42 AM
ArielGlenn created this task.

Change 458477 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[mediawiki/extensions/Flow@master] look for the BackupDumper class in the (new) correct place

https://gerrit.wikimedia.org/r/458477

ArielGlenn moved this task from Backlog to Active on the Dumps-Generation board.Sep 6 2018, 10:51 AM

Small wikis with complete dumps have now been fixed up except for mediawikiwiki, which is in progress; those files will appear in due time on the web server. Wikis currently running will need to complete before I can fix them up; that's fawiki, frwiktionary, idwiki, cswiki, fiwiki, cawiki, nowiki, and svwiki. Additionally frwiki and arwiki need to be fixed up.

Change 458549 had a related patch set uploaded (by Krinkle; owner: ArielGlenn):
[mediawiki/extensions/Flow@wmf/1.32.0-wmf.20] look for the BackupDumper class in the (new) correct place

https://gerrit.wikimedia.org/r/458549

Mentioned in SAL (#wikimedia-operations) [2018-09-06T18:20:29Z] <krinkle@deploy1001> Synchronized php-1.32.0-wmf.20/extensions/Flow/: Ia0112ae62e6b - T203647 (duration: 01m 02s)

Change 458549 merged by jenkins-bot:
[mediawiki/extensions/Flow@wmf/1.32.0-wmf.20] look for the BackupDumper class in the (new) correct place

https://gerrit.wikimedia.org/r/458549

Change 458477 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] look for the BackupDumper class in the (new) correct place

https://gerrit.wikimedia.org/r/458477

This is now deployed on the cluster so running dumps should rerun the failed flow jobs at the end and clean them up automatically. We should see some of this happening tomorrow.

All issues are fixed except for fawiki, cawiki, svwiki, hewiki and frwiki; these will take care of themselves when the retry for failed jobs happens at the end of each of their runs.

ArielGlenn closed this task as Resolved.Sep 10 2018, 10:08 AM
ArielGlenn moved this task from Active to Done on the Dumps-Generation board.

Frwiki is the only one left, and that is only because it's still running other steps. Closing this task.